class Torque

  ##
  # Stores the name and id of a single Pivotal project
  class Project

    ##
    # True if this is the current project, else false
    attr_accessor :current

    ##
    # The project ID
    attr_reader :id

    ##
    # The project name
    attr_reader :name

    ##
    # @param id The project's ID
    # @param name The project's name
    # @param current True if this is the current project, else false
    def initialize(id, name, current=false)
      @current = current
      @id = id
      @name = name
    end
  end
end
